using Earthblend.Nts.Common;
using System;

namespace Earthblend.Tts.Common.Core.Members
{
    public class Member : CustomBindableBase, ICloneable
    {
        #region Constructor(s)

        public Member()
        {

        }

        public Member(String name)
        {
            Name = name;
        }

        #endregion

        #region Private Variables

        private String _name = Guid.NewGuid().ToString();
        private Boolean _isChecked = false;

        #endregion

        #region Public Clr Properties

        public String Name { get { return _name; } set { SetProperty(ref _name, value); } }
        public Boolean IsChecked { get { return _isChecked; } set { SetProperty(ref _isChecked, value); } }

        public object Clone()
        {
            return new Member() { Name = Name, IsChecked = IsChecked };
        }

        #endregion
    }
}